Debian Bug report logs - #360832
lynx-cur: 64Kb of blanks if utf-8 H1 too long

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Tue, 4 Apr 2006 21:49:48 UTC

Severity: normal

Found in version lynx-cur/2.8.6-20

Fixed in version lynx-cur/2.8.6pre2-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#360832; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: 64Kb of blanks if utf-8 H1 too long
Date: Thu, 30 Mar 2006 13:54:36 +0800
Package: lynx-cur
Version: 2.8.6-20
Severity: normal

With this not especially too long <H1>, lynx outputs sixty thousand
blanks before getting started!
$ cat bloop.html
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">

<html>
<head>
 <meta http-equiv="Content-Type" content=
 "text/html; charset=utf-8">

 <title>bla</title>
</head>

<body>
 <h1>衛星定位系統 GPS
 and 座標轉換 TWD67, TWD97, WGS84
 coordinate transformations</h1>
</body>
</html>
$ lynx -dump bloop.html |wc
      3       9   65622
$ lynx -dump bloop.html |hexdump
0000000 200a 2020 2020 2020 2020 2020 2020 2020
0000010 2020 2020 2020 2020 2020 2020 2020 2020
*
000fff0 2020 2020 2020 2020 2020 2020 2020 a1e8
0010000 e69b 9f98 aee5 e49a 8dbd b3e7 e7bb b1b5
0010010 4720 5350 6120 646e e520 a7ba a8e6 e899
0010020 89bd 8fe6 209b 5754 3644 2c37 5420 4457
0010030 3739 202c 4757 3853 2034 6f63 726f 6964
0010040 616e 6574 7420 6172 736e 6f66 6d72 7461
0010050 6f69 736e 0a0a                         
0010056



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#360832; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 360832@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 360832@bugs.debian.org
Subject: re: #360832 lynx-cur: 64Kb of blanks if utf-8 H1 too long
Date: Mon, 29 May 2006 17:52:26 -0400
[Message part 1 (text/plain, inline)]
I can reproduce this both from the Debian package and from a recompile
using the configure options in the Debian package.  Oddly, it doesn't
happen with my normal build.  Comparing the two, I have a hunch it's
this option (will verify):

	--enable-japanese-utf8

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#360832. Full text and rfc822 format available.

Message #13 received at 360832-submitter@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: 360832-submitter@bugs.debian.org
Cc: kohda@pm.tokushima-u.ac.jp
Subject: Re: Bug#360832: #360832 lynx-cur: 64Kb of blanks if utf-8 H1 too long
Date: Tue, 30 May 2006 08:06:17 +0900 (JST)
Hi, a reply from upstream author.  I forwarded it to
a submitter so that the submitter would read it.

On Mon, 29 May 2006 17:52:26 -0400, Thomas Dickey wrote:

> I can reproduce this both from the Debian package and from a recompile
> using the configure options in the Debian package.  Oddly, it doesn't
> happen with my normal build.  Comparing the two, I have a hunch it's
> this option (will verify):
> 
> 	--enable-japanese-utf8
> 
> -- 
> Thomas E. Dickey <dickey@invisible-island.net>
> http://invisible-island.net
> ftp://invisible-island.net



Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 360832-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 360832-close@bugs.debian.org
Subject: Bug#360832: fixed in lynx-cur 2.8.6pre2-1
Date: Sun, 03 Sep 2006 21:17:10 -0700
Source: lynx-cur
Source-Version: 2.8.6pre2-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6pre2-1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6pre2-1_all.deb
lynx-cur_2.8.6pre2-1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1.diff.gz
lynx-cur_2.8.6pre2-1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1.dsc
lynx-cur_2.8.6pre2-1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1_i386.deb
lynx-cur_2.8.6pre2.orig.tar.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 360832@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Sep 2006 11:04:25 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6pre2-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 360832 363538 372670 373615 373998 375736
Changes: 
 lynx-cur (2.8.6pre2-1) unstable; urgency=low
 .
   * New Upstream Release.
   - add -stderr option to write error messages when doing a -dump -or -source.
     (Closes: #375736)
   - ensure the number of "extra" blanks in a line is greater than zero before
     attempting to perform text-justification (Closes: #363538)
   - fix a sign-extension in alignment case-statement in split_line()
     (Closes: #360832, #372670)
   * Upstream changed --enable-color-style enabled by default so I followed it.
   * Updated translations of debconf templates.  Thanks to all.
   - fr.po, Philippe Batailler <philippe.batailler@free.fr>
   - cs.po, Miroslav Kure <kurem@upcase.inf.upol.cz>
   - ru.po, Yuri Kozlov <kozlov.y@gmail.com>
   - de.po, Jens Nachtigall <nachtigall@web.de>
   - sv.po, Daniel Nylander <po@danielnylander.se>
   - pt_BR.po, Andre Luis Lopes <andrelop@debian.org>
   - vi.po, Clytie Siddall <clytie@riverland.net.au>
   - es.po, David Martínez Moreno <ender@debian.org>
   (Closes: #373615, #373998)
   * There was no time to upload 2.8.6dev19 because 2.8.6pre2 was released
     so soon.
Files: 
 66ff171af7e694f28722cae3ceae48f1 672 web extra lynx-cur_2.8.6pre2-1.dsc
 8f01371c58352885386af644f0f0e5c9 3178272 web extra lynx-cur_2.8.6pre2.orig.tar.gz
 2b1107be491f4d8b3e15517daa3ad2ec 25812 web extra lynx-cur_2.8.6pre2-1.diff.gz
 a458c3abaa01c97c1f8aea4cc3865b5d 14030 web extra lynx-cur-wrapper_2.8.6pre2-1_all.deb
 e30176b7950db8313b4dd5de8ac098e4 1960638 web extra lynx-cur_2.8.6pre2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE+6am1IXdL1v6kOwRAqsVAJ4pwbmmDr+zLkx2y/lXhkv7UhNdogCfTxMJ
0AmJK6oJV1TWQErA5d+Qn2g=
=wa+1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:26:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:31:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.